---
type: api
title: Create list data streams
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-createlistindex
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-createlistindex
products:
  - Kibana
---

# Create list data streams

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/lists/index`
- `POST` `/s/{space_id}/api/lists/index`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

**DEPRECATED.** `deprecated: true` is set on this operation. Value list backing data streams for the space
are now created as part of supported workflows; calling this explicitly is rarely required.
**WARNING:** Do not use for new integrations. Prefer the UI or the list and list-item APIs after confirming
indices exist with `GET /api/lists/index`.

Creates the `.lists` and `.items` data streams in the current Kibana space.

## Responses

#### `200`

Successful response

`application/json`

- `acknowledged` (boolean)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `409`

List data stream exists response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
POST /api/lists/index
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/lists/index"
```

## Response Examples

#### Acknowledged

```json
{
  "acknowledged": true
}
```

#### Bad

```json
{
  "message": "Indices exist but the request could not be completed for the current space. Check that Elasticsearch and Kibana privileges allow index creation for lists.",
  "status_code": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]\n",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [POST /api/lists/index] is unauthorized for user, this action is granted by the Kibana privileges [lists-all]",
  "statusCode": 403
}
```

#### Already exists

```json
{
  "message": "data stream: \\\u0022.lists-default\\\u0022 and \\\u0022.items-default\\\u0022 already exists",
  "status_code": 409
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

